function [ A ] = StateEquation( sysd, Ts, Xy )
%STATEEQUATION Gives matrix A in the linear state equation
%   X(k+1) = A*X(k) + w(k)
%   [A] = StateEquation(Ts,Xy)

Am = sysd.A;
Bm = sysd.B;
Cm = sysd.C;
Dm = sysd.D;

n = size(Am,1);

Bp = [Ts*cos(Xy(2)) -Ts*Xy(1)*sin(Xy(2)) 0;
      Ts*sin(Xy(2))  Ts*Xy(1)*cos(Xy(2)) 0];
% Bp = [Ts*cos(Xy(2))  0 0;
%       Ts*sin(Xy(2))  0 0];

A = [eye(3)      zeros(3,n)  zeros(3,3)  zeros(3,2);
     Bm          Am          zeros(n,3)  zeros(n,2);
     Cm*Bm       Cm*Am       zeros(3,3)  zeros(3,2);
     zeros(2,3)  zeros(2,n)  Bp          eye(2)   ];

end

